package com.example.nto.service.impl;

import com.example.nto.entity.Employee;
import com.example.nto.repository.EmployeeRepository;
import com.example.nto.service.EmployeeService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class EmployeeServiceImpl implements EmployeeService {
    private final EmployeeRepository employeeRepository;

    public EmployeeServiceImpl(EmployeeRepository employeeRepository) {
        this.employeeRepository = employeeRepository;
    }

    @Override
    public List<Employee> findAll() {
        return employeeRepository.findAll(); // Реализуем метод findAll
    }

    @Override
    public Optional<Employee> findByLogin(String login) {
        return employeeRepository.findAll()
                .stream()
                .filter(employee -> employee.getLogin().equals(login))
                .findFirst();
    }

    @Override
    public boolean validateCode(String login, long code) {
        // Реализуйте вашу логику для валидации кода
        return false; // Замените на действительную логику
    }
}